package com.ecep.contract.controller.employee;

import com.ecep.contract.controller.tab.AbstEntityBasedTabSkin;
import com.ecep.contract.controller.tab.TabSkin;
import com.ecep.contract.model.Employee;
import com.ecep.contract.service.EmployeeRoleService;
import com.ecep.contract.service.EmployeeService;
import com.ecep.contract.service.PermissionService;
import com.ecep.contract.vm.EmployeeViewModel;

import com.ecep.contract.vo.EmployeeVo;
import lombok.Setter;

public abstract class AbstEmployeeBasedTabSkin
        extends AbstEntityBasedTabSkin<EmployeeWindowController, EmployeeVo, EmployeeViewModel>
        implements TabSkin {

    public AbstEmployeeBasedTabSkin(EmployeeWindowController controller) {
        super(controller);
    }

    protected EmployeeRoleService getEmployeeRoleService() {
        return getCachedBean(EmployeeRoleService.class);
    }

    protected PermissionService getPermissionService() {
        return getCachedBean(PermissionService.class);
    }
}
